Skip to main content
DELETE
/
users
/
{user_id}
/
preferences
/
{topic_id}
JavaScript
import Courier from '@trycourier/courier';

const client = new Courier({
  apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});

await client.users.preferences.deleteTopic('topic_id', { user_id: 'user_id' });

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

A unique identifier associated with the user whose preferences you wish to delete.

topic_id
string
required

A unique identifier associated with a subscription topic.

Query Parameters

tenant_id
string | null

Delete the preferences of a user for this specific tenant context.

Response

204

The user's topic preference was deleted, or did not exist.